# Class StandardOptionDefinitions

java.lang.Object
picard.cmdline.StandardOptionDefinitions

public class StandardOptionDefinitions extends Object
A set of String constants in which the name of the constant (minus the _SHORT_NAME suffix) is the standard long Option name, and the value of the constant is the standard shortName.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ALTERNATE_QUALITY_ATTRIBUTE_SHORT_NAME`
`static final String`
`ASSUME_SORT_ORDER_SHORT_NAME`
`static final String`
`ASSUME_SORTED_SHORT_NAME`
`static final String`
`EXPECTED_INSERT_SIZE_SHORT_NAME`
`static final String`
`INPUT_SHORT_NAME`
`static final String`
`LANE_SHORT_NAME`
`static final String`
`LIBRARY_NAME_SHORT_NAME`
`static final String`
`METRICS_FILE_SHORT_NAME`
`static final String`
`MINIMUM_LOD_SHORT_NAME`
`static final String`
`MINIMUM_MAPPING_QUALITY_SHORT_NAME`
`static final String`
`OUTPUT_SHORT_NAME`
`static final String`
`PF_READS_ONLY_SHORT_NAME`
`static final String`
`PROGRAM_RECORD_ID_SHORT_NAME`
`static final String`
`READ_GROUP_ID_SHORT_NAME`
`static final String`
`REFERENCE_SHORT_NAME`
`static final String`
`SAMPLE_ALIAS_SHORT_NAME`
`static final String`
`SEQUENCE_DICTIONARY_SHORT_NAME`
`static final String`
`SORT_ORDER_SHORT_NAME`
`static final String`
`USE_ORIGINAL_QUALITIES_SHORT_NAME`

## Constructor Summary

Constructors
Constructor
Description
`StandardOptionDefinitions()`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INPUT_SHORT_NAME

public static final String INPUT_SHORT_NAME

See Also:
  - Constant Field Values

### OUTPUT_SHORT_NAME

public static final String OUTPUT_SHORT_NAME

See Also:
  - Constant Field Values

### REFERENCE_SHORT_NAME

public static final String REFERENCE_SHORT_NAME

See Also:
  - Constant Field Values

### SAMPLE_ALIAS_SHORT_NAME

public static final String SAMPLE_ALIAS_SHORT_NAME

See Also:
  - Constant Field Values

### LIBRARY_NAME_SHORT_NAME

public static final String LIBRARY_NAME_SHORT_NAME

See Also:
  - Constant Field Values

### EXPECTED_INSERT_SIZE_SHORT_NAME

public static final String EXPECTED_INSERT_SIZE_SHORT_NAME

See Also:
  - Constant Field Values

### LANE_SHORT_NAME

public static final String LANE_SHORT_NAME

See Also:
  - Constant Field Values

### SEQUENCE_DICTIONARY_SHORT_NAME

public static final String SEQUENCE_DICTIONARY_SHORT_NAME

See Also:
  - Constant Field Values

### METRICS_FILE_SHORT_NAME

public static final String METRICS_FILE_SHORT_NAME

See Also:
  - Constant Field Values

### ASSUME_SORTED_SHORT_NAME

public static final String ASSUME_SORTED_SHORT_NAME

See Also:
  - Constant Field Values

### ASSUME_SORT_ORDER_SHORT_NAME

public static final String ASSUME_SORT_ORDER_SHORT_NAME

See Also:
  - Constant Field Values

### PF_READS_ONLY_SHORT_NAME

public static final String PF_READS_ONLY_SHORT_NAME

See Also:
  - Constant Field Values

### MINIMUM_MAPPING_QUALITY_SHORT_NAME

public static final String MINIMUM_MAPPING_QUALITY_SHORT_NAME

See Also:
  - Constant Field Values

### READ_GROUP_ID_SHORT_NAME

public static final String READ_GROUP_ID_SHORT_NAME

See Also:
  - Constant Field Values

### PROGRAM_RECORD_ID_SHORT_NAME

public static final String PROGRAM_RECORD_ID_SHORT_NAME

See Also:
  - Constant Field Values

### MINIMUM_LOD_SHORT_NAME

public static final String MINIMUM_LOD_SHORT_NAME

See Also:
  - Constant Field Values

### SORT_ORDER_SHORT_NAME

public static final String SORT_ORDER_SHORT_NAME

See Also:
  - Constant Field Values

### USE_ORIGINAL_QUALITIES_SHORT_NAME

public static final String USE_ORIGINAL_QUALITIES_SHORT_NAME

See Also:
  - Constant Field Values

### ALTERNATE_QUALITY_ATTRIBUTE_SHORT_NAME

public static final String ALTERNATE_QUALITY_ATTRIBUTE_SHORT_NAME

See Also:
  - Constant Field Values

## Constructor Details

### StandardOptionDefinitions

public StandardOptionDefinitions()